<ion-view view-title="Meu perfil" ng-controller="profileCtrl">
    <ion-content>
        <div class="list">
            <label class="item item-input box-input">
              <span class="input-label">Nome</span>
              <input type="text" ng-model="profile.name" ng-disabled="true">
            </label>

            <label class="item item-input box-input" ng-if="type_profile=='student_account'">
                <span class="input-label">Matrícula</span>
                <input type="text" ng-model="profile.enrollment" ng-disabled="true">
              </label>

            <label class="item item-input box-input" ng-if="type_profile=='parent_account'">
              <span class="input-label">Email</span>
              <input type="email" ng-model="profile.email" ng-disabled="true">
            </label>

            <label class="item item-input box-input" ng-if="type_profile=='student_account'">
              <span class="input-label">Telefone</span>
              <input type="tel" ng-model="profile.cell_number" ng-disabled="true">
            </label>

            <label class="item item-input box-input" ng-if="type_profile=='student_account'">
              <span class="input-label">Endereço</span>
              <input type="text" ng-model="profile.street" ng-disabled="true">
            </label>

            <label class="item item-input box-input" ng-if="type_profile=='student_account'">
              <span class="input-label">Cidade/UF</span>
              <input type="text" ng-model="profile.city_state" ng-disabled="true">
            </label>

            <div class="item item-divider"></div>
            <label class="item item-input box-input">
              <span class="input-label">Nova senha</span>
              <input type="password" ng-model="profile.password" ng-keyup="password_empty()">
            </label>

            <label class="item item-input box-input">
              <span class="input-label">Repetir senha</span>
              <input type="password" ng-model="profile.password_confirmation" ng-keyup="password_empty()">
            </label>
            <div class="item item-divider"></div>


            <label class="item item-input box-input" ng-if="type_profile=='parent_account'">
              <span class="input-label">Nome Aluno(a)</span>
              <input type="text" ng-model="profile.name_student" ng-disabled="true">
            </label>

            <label class="item item-input box-input" ng-if="type_profile=='parent_account'">
              <span class="input-label">Matricula</span>
              <input type="text" ng-model="profile.enrollment" ng-disabled="true">
            </label>

            <label class="item item-input box-input">
              <span class="input-label">Turma</span>
              <input type="text" ng-model="profile.class_room" ng-disabled="true">
            </label>

            <label class="item item-input box-input">
              <span class="input-label">Instituição</span>
              <input type="text" ng-model="profile.school.name" ng-disabled="true">
            </label>

            <div class="box-center-buttons">
                <button ng-click="save()" class="button button-block button-positive" ng-disabled="flag_password">Salvar</button>
            </div>
        </div>
    </ion-content>
</ion-view>